# All files / utils/container Token.ts

66.67% Statements 2/3
100% Branches 0/0
0% Functions 0/1
66.67% Lines 2/3

Press n or j to go to the next uncovered block, b, p or k for the previous block.

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15

    3x

    3x/**
     * Used to create unique typed service identifier.
     * Useful when service has only interface, but don't have a class.
     */
    export class Token<T> {

        /**
         * @param name Token name, optional and only used for debugging purposes.
         */
        constructor(public name?: string) {
        }

    }

    export class InjectionToken<T> extends Token<T> {}